For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
      • Subscribing
      • Receiving
      • Event Delivery and Retry Logic
      • Persistent Failures and Disabling Logic
      • Idempotency and the X-Event-ID Header
      • Handling event order with X-Timestamp
      • Verifying
      • GETList all subscribable event types
      • GETList all secrets
      • POSTCreate/replace a secret
      • GETList all subscriptions
      • POSTCreate a subscription
      • GETRetrieve a subscription
      • POSTConfirm a subscription
      • DELDelete a subscription
      • PATCHUpdate a subscription
      • GETGet subscription events
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWebhooks

List all subscriptions

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/hooks/subscriptions/
GET
/api/v1/hooks/subscriptions/
$curl https://api.prolific.com/api/v1/hooks/subscriptions/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "results": [
3 {
4 "event_type": "participant.completed",
5 "target_url": "https://webhooks.myresearchapp.com/prolific/completed",
6 "workspace_id": "ws_4a7d9e2f-5678-4b9c-8d0e-1f2a3b4c5d6e",
7 "id": "sub_9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b",
8 "is_enabled": true
9 }
10 ]
11}
A view of all subscriptions you have created.
Was this page helpful?
Previous

Create/replace a secret

Next

Create a subscription

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Query parameters

is_enabledbooleanOptional
A filter to only pull back enabled subscriptions. Default true.
workspace_idstringOptional
The Workspace ID we want to get the subscriptions for. If not given, the subscriptions for all of your workspaces will be returned.

Response

List of subscriptions
resultslist of objects
List of all subscriptions.

Errors

4XX
Client Request Error